## org.hibernate.dialect.lock
Class PessimisticEntityLockException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.hibernate.HibernateException
                      org.hibernate.dialect.lock.LockingStrategyException
                          org.hibernate.dialect.lock.PessimisticEntityLockException

All Implemented Interfaces:
  Serializable

    public class PessimisticEntityLockException

extends LockingStrategyException

Represents an error trying to apply a pessimistic `LockingStrategy` to an entity

See Also:
  Serialized Form

Constructor Summary
`PessimisticEntityLockException(Object entity, String message, JDBCException root)`

Method Summary

Methods inherited from class org.hibernate.dialect.lock.LockingStrategyException
`getEntity`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PessimisticEntityLockException

    public PessimisticEntityLockException(Object entity,
                                          String message,
                                          JDBCException root)

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.